# GimpUi.EnumStore.set_icon_prefix

    @accepts(GimpUi.EnumStore, unicode)
    @returns(none)
    def set_icon_prefix(self, icon_prefix):
        # Python wrapper for gimp_enum_store_set_icon_prefix()

Creates an icon name for each enum value in the self by appending the value's nick to the given icon_prefix, separated by a hyphen.

See also: GimpUi.EnumComboBox.set_icon_prefix.

Since 2.10

self

  a GimpUi.EnumStore

icon_prefix

  a prefix to create icon names from enum values